Name: docbook-utils
Version: 0.6.14
Release: alt3

Summary: Shell scripts for managing DocBook documents
Group: Publishing
License: GPL
Url: http://sources.redhat.com/docbook-tools/

Requires: docbook-style-dsssl >= 1.72
Requires: docbook-dtds
Requires: openjade >= 1.3.2
Requires: OpenSP
Requires: perl-SGMLSpm >= 1.03ii
Conflicts: sgml-tools < 0:0.6.9-ipl24mdk

%define sgmlbase %prefix/share/sgml

BuildArch: noarch
Source0: ftp://sources.redhat.com/pub/docbook-tools/new-trials/SOURCES/%name-%version.tar.bz2
Source1: db2html
Source2: gdp-both.dsl

%define _compress_method gzip

BuildPreReq: perl(SGMLS.pm)
# Automatically added by buildreq on Tue Sep 16 2008
BuildRequires: OpenSP docbook-style-dsssl openjade

%description
These little scripts allow to convert DocBook files to other formats
(HTML, RTF, TeX...), and to compare SGML files.

%package print
Summary: Scripts for converting DocBook documents to PDF, PostScript and DVI
Group: Publishing
Provides: %name-pdf
Obsoletes: %name-pdf
Requires: %name = %version-%release
Requires: jadetex >= 2.5
Requires: %_bindir/dvips

%description print
The scripts from %name distribution that allow to convert DocBook files
to formats suitable for printing (PostScript, PDF, DVI).

%prep
%setup -q

%build
%configure
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%_man1dir
%makeinstall htmldir=$RPM_BUILD_ROOT%_docdir/%name-%version
for util in dvi html pdf ps rtf
do
	ln -s docbook2$util $RPM_BUILD_ROOT%_bindir/db2$util
	ln -s jw.1 $RPM_BUILD_ROOT%_man1dir/db2$util.1
done
# db2html is not just a symlink, as it has to create the output directory
rm -f $RPM_BUILD_ROOT%_bindir/db2html
install -c -m 755 %SOURCE1 $RPM_BUILD_ROOT%_bindir/db2html

install -c -m 644 %SOURCE2 \
    $RPM_BUILD_ROOT%sgmlbase/docbook/utils-%version/docbook-utils.dsl

for f in AUTHORS NEWS README TODO; do
    install -p -m644 $f $RPM_BUILD_ROOT%_docdir/%name-%version/
done

# frontend-spec and backend-spec are too generic names
for f in $RPM_BUILD_ROOT%_man7dir/*-spec.*; do
    mv -f "$f" $RPM_BUILD_ROOT%_man7dir/jw-`basename "$f"`
done

(
    find $RPM_BUILD_ROOT%_bindir -type f -o -type l |
	grep -E -v '(dvi|pdf|ps)$'
    find $RPM_BUILD_ROOT%sgmlbase/docbook/utils-%version/backends -type f |
	grep -E -v '(dvi|pdf|ps)$'
) | sed -e "s|^$RPM_BUILD_ROOT||" >nonprint.list
find $RPM_BUILD_ROOT%_man1dir -type f -o -type l |
	grep -E -v '(dvi|pdf|ps)\.1' |
	sed -e "s|^$RPM_BUILD_ROOT\(.*\)$|\1.gz|" >>nonprint.list

%files -f nonprint.list
%dir %sgmlbase/docbook/utils-%version
%dir %sgmlbase/docbook/utils-%version/backends
%sgmlbase/docbook/utils-%version/*.dsl
%sgmlbase/docbook/utils-%version/frontends
%sgmlbase/docbook/utils-%version/helpers
%doc %_docdir/%name-%version
%_man7dir/*

%files print
%_bindir/*dvi
%_bindir/*pdf
%_bindir/*ps
%sgmlbase/docbook/utils-%version/backends/dvi
%sgmlbase/docbook/utils-%version/backends/pdf
%sgmlbase/docbook/utils-%version/backends/ps
%_man1dir/*dvi.1*
%_man1dir/*pdf.1*
%_man1dir/*ps.1*

%changelog
* Wed Oct 07 2009 Grigory Batalov <bga@altlinux.ru> 0.6.14-alt3
- Replace tetex-dvips requirement with dvips binary.

* Tue Sep 16 2008 Yuri N. Sedunov <aris@altlinux.org> 0.6.14-alt2
- updated buildreqs
- fix subdirectories packaging violation

* Wed Feb 25 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.6.14-alt1
- New upstream release

* Fri Mar 28 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.6.13-alt1
- New version
- Print subpackage with dependencies to jadetex and tetex-dvips

* Sat Nov 16 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.6.12-alt1
- 0.6.12
- Corrected permissions for db2html
- Prefixed too broadly named manpages in man7
- Install the documentation via make install

* Fri Sep 27 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.6.11-alt1
- 0.6.11
- Patches have gone upstream

* Tue Jun 11 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.6.10-alt3
- Patch to determine DTD version correctly
- Eliminated A4 hack stylesheet
- Abolished the pdf subpackage, as it doesn't have any outstanding dependencies

* Thu May 23 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.6.10-alt2
- Sync with 0.6.10-3 from RedHat

* Tue May 07 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.6.10-alt1
- With new version, all the patches are gone.
- Generate filelist of non-pdf binaries

* Thu May 02 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.6.9-alt3
- Synchronized with RedHat 0.6.9-25, where an insecure file writing
  vulnerability has been fixed.

* Mon Feb 18 2002 AEN <aen@logic.ru> 0.6.9-alt2
- Added docbook2rtf to %files.
- Conflicts with sgml-tools < 0:0.6.9-ipl24mdk.

* Sun Jan 27 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.6.9-alt1
- New version, sync with RedHat 0.6.9-19
- Spec cleanup
- Conflicts with sgml-tools

* Thu May 31 2001 AEN <aen@logic.ru> 0.6-alt1
- build for Sisyphus

* Fri Jan 12 2001 Camille Begnis <camille@mandrakesoft.com> 0.6-1mdk
- New for Mandrake
- Mandrakized from ftp://sources.redhat.com/pub/docbook-tools/new-trials/SPECS/docbook-utils.spec
